<template>
  <v-container fluid>

    <v-layout row>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('up-left')">
        <v-icon style="transform: rotate(-45deg);">fa-arrow-up</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('up')">
        <v-icon>fa-arrow-up</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('up-right')">
        <v-icon style="transform: rotate(45deg);">fa-arrow-up</v-icon>
      </v-btn>
    </v-layout>

    <v-layout row>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('left')">
        <v-icon style="transform: rotate(-90deg);">fa-arrow-up</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab>
        <v-icon>fa-bullseye</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('right')">
        <v-icon style="transform: rotate(90deg);">fa-arrow-up</v-icon>
      </v-btn>
    </v-layout>

    <v-layout row>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('down-left')">
        <v-icon style="transform: rotate(-135deg);">fa-arrow-up</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('down')">
        <v-icon style="transform: rotate(180deg);">fa-arrow-up</v-icon>
      </v-btn>
      <v-btn 
        :color="color" 
        :disabled="disabled" 
        outline 
        depressed 
        fab
        @click.stop="move('down-right')">
        <v-icon style="transform: rotate(135deg);">fa-arrow-up</v-icon>
      </v-btn>
    </v-layout>

  </v-container>
</template>

<script>

import {bus} from '@js/bus'

export default {

	name: 'UploadButton',
	
	props: {
		color: {
			type: String,
			default: 'primary'
		},
		disabled: {
			type: Boolean,
			default: false
		},
		feedrate: {
			type: Number,
			default: 500
		},
		xystep: {
			type: Number,
			default: 10
		},
		zstep: {
			type: Number,
			default: 5
		}
	},

	data() {
		//bus.$on('clear-upload-button', this.clear)
		return {

		}
	},

	methods: {
		move(direction) {
			bus.$emit('jog-move', direction)
		}
	}
}
</script>

<style scoped>
</style>